tigase.db.converter

## Enum Converter.SERVER

- java.lang.Object
- - java.lang.Enum<Converter.SERVER>
  - - tigase.db.converter.Converter.SERVER

- All Implemented Interfaces:
    Serializable, Comparable<Converter.SERVER>
  Enclosing class:
    Converter

      public static enum Converter.SERVER
      extends Enum<Converter.SERVER>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ejabberd`
    `ejabberd_new`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `strings`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Converter.SERVER` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Converter.SERVER[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ejabberd

          public static final Converter.SERVER ejabberd

    - #### ejabberd_new

          public static final Converter.SERVER ejabberd_new

  - ### Field Detail

    - #### strings

          public static final String[] strings

  - ### Method Detail

    - #### values

          public static Converter.SERVER[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Converter.SERVER c : Converter.SERVER.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Converter.SERVER valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.